- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# schroot-releaselock-main.cc File Reference

`#include <config.h>`
`#include "schroot-releaselock-main.h"`
`#include <cerrno>`
`#include <cstdlib>`
`#include <ctime>`
`#include <iostream>`
`#include <locale>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <boost/format.hpp>`
`#include <lockdev.h>`

Include dependency graph for schroot-releaselock-main.cc:

## Typedefs
typedef std::pair< main::error_code, const char * > | emap
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<main::error_code,const char *> emap`[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {
          emap(main::DEVICE_NOTBLOCK, N_("File is not a block device")),

          emap(main::DEVICE_OWNED,    N_("Failed to release device lock (lock held by PID %4%)")),
          emap(main::DEVICE_RELEASE,  N_("Failed to release device lock")),
          emap(main::DEVICE_STAT,     N_("Failed to stat device"))
    }

This is a list of the supported error codes.

It's used to construct the real error codes map.